/* this function takes makes the various filenames and other general
 * data used by the program and returns them in a pointer to a 
 * struct data_files (see sirinp.h).
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1999
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "sirinp.h"

/* MakeFilenames() -- takes the job_name and makes the
 * file names <job_name>.cd and <job_name>.re
 */
struct data_files *MakeFilenames( const char *job_name )
{
    struct data_files *ret_val;
    size_t len;

    ret_val = malloc( sizeof *ret_val );
    if( !ret_val ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }

    len = strlen( job_name );
    ret_val->job = malloc( len + 1);
    if( !ret_val->job ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }
    memcpy( ret_val->job, job_name, len );
    ret_val->job[len] = '\0';

    len = strlen( job_name ) + strlen( CD_FILE );
    ret_val->cd = malloc( len + 1);
    if( !ret_val->cd ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }
    sprintf( ret_val->cd, "%s%s", job_name, CD_FILE );
   
    len = strlen( job_name ) + strlen( RE_FILE );
    ret_val->re = malloc( len + 1);
    if( !ret_val->re ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }
    sprintf( ret_val->re, "%s%s", job_name, RE_FILE );

    len = strlen( job_name ) + strlen( SIR_FILE );
    ret_val->sir = malloc( len + 1);
    if( !ret_val->sir ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }
    sprintf( ret_val->sir, "%s%s", job_name, SIR_FILE );

    len = strlen( job_name ) + strlen( HKLF_FILE );
    ret_val->hkl = malloc( len + 1);
    if( !ret_val->hkl ) {
      fprintf( stderr, "error malloc() -- %s:%d Exiting.\n",
                       __FILE__, __LINE__ );
      exit( EXIT_FAILURE );
    }
    sprintf( ret_val->hkl, "%s%s", job_name, HKLF_FILE );

    return ret_val;
}
