/* this is a little wrapper for fseek()/fread() for reading binary
 * data from .cd and .re files.
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1999
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "sirinp.h"
#ifndef NRCVAX_H
#include "nrcvax.h"
#define NRCVAX_H
#endif

void ReadRecordFromNRCFile( char *type, int record, void *rec_ptr,
                            FILE *nrc_file )
{
    if( 0 == strcmp( CD_FILE, type ) ) {
         fseek( nrc_file, (record - 1) * RECL_CD, SEEK_SET);
         fread( rec_ptr, RECL_CD, 1, nrc_file);
         return;
    }
    else if( 0 == strcmp( RE_FILE, type ) ) {
         fseek( nrc_file, (record - 1) * sizeof(RE_Record), SEEK_SET);
         fread( rec_ptr, sizeof(RE_Record), 1, nrc_file);
         return;
    }
    else {
      fprintf( stderr, "%s:%d -- Unrecognized NRCVAX file type (%s). Exiting.\n",
               __FILE__,__LINE__, type );
      exit( EXIT_FAILURE );
    }
    
}
