/* function contains help information which can be accessed at run time
 * through the -h command line option, among other ways.
 * Written by:
 *	Paul D. Boyle
 *	Department of Chemistry
 *	Box 8204
 *	North Carolina State University
 *	Raleigh, NC 27695-8204
 *
 *	March 1999
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */
#include <stdio.h>
#include "sirinp.h"

/* Usage() -- tells how to use the program. */
void Usage( void )
{
    int i = 0;
    static char *help[] = {
    "Usage: sirinp [options] <job_name>\n",
    "Options:\n",
    "\t-c Create sir input file only.  Requires NRCVAX .cd file.\n",
    "\t-r Create SHELX HKLF4 file only.  Requires NRCVAX .cd and .re files.\n",
    "\t-h Show this help message.\n",
    "Default (no options): both sir input and HKLF4 file are produced.\n",
    "" };
    
    while( *help[i] ) {
      fputs( help[i], stderr );
      i++;
    }
    return;
}
